<template>
  <div>
    <DifferenceModal
      v-if="showModal"
      @close="showModal = false"
    />
    <h1 class="mb-6">What’s your drug preference?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        v-model="selected"
        :input-value="choice.value"
      >
        <div class="flex items-center justify-between">
          <section class="mr-4">
            <div class="mb-1">{{ choice.value }}</div>
            <div class="text-grey-dark">{{ choice.lasts }}</div>
          </section>
          <section class="w-30 h-30">
            <div
              class="w-16 h-16 bg-no-repeat bg-center bg-contain"
              :style="`background-image: url(${choice.img})`"
            />
          </section>
        </div>
      </radio-input>
    </div>
    <div class="mb-8 text-base">
      Unsure which is right for you? <span class="underline cursor-pointer" @click="showModal = true">Learn more about the differences</span>
    </div>
    <CommonBtn
      @click="$emit('nextStage')"
      text="Next"
      :disabled="!selected"
    />
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";
import DifferenceModal from "@/components/quizes/TreatmentPreference/DifferenceModal";
import {answersMixin} from "@/utils/mixins";
import {constants} from "@/constants";
export default {
  mixins: [answersMixin],
  name: "TreatmentPreferenceWhatDrug",
  components: {DifferenceModal, CommonBtn, RadioInput},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.TREATMENT_PREFERENCE, newVal, 'what_drug')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        {value: constants.SILDENAFIL_FULL_NAME, lasts: 'Last 4-6 hours', img: require('@/assets/img/misc/pill-sildenafil.png')},
        {value: constants.TADALAFIL_FULL_NAME, lasts: 'Last 24-36 hours', img: require('@/assets/img/misc/pill-tadalafil.png')},
      ],
      showModal: false,
    }
  }
}
</script>

<style scoped>

</style>
